api:
  service_namespace: 0
  normalizer: object
  trace:
    http_key: 'X_TRACE_ID'
    env_key: 'X-Trace-Id'
  json_error_responses:
    transport_error:
      code: 502
      exceptions:
        - Symfony\Contracts\HttpClient\Exception\TransportExceptionInterface
    server_error:
      code: 500
      exceptions:
        - Symfony\Contracts\HttpClient\Exception\ServerExceptionInterface
    redirect_error:
      code: 300
      exceptions:
        - Symfony\Contracts\HttpClient\Exception\RedirectionExceptionInterface
    register_user_not_unique:
      code: 422
      exceptions:
        - App\Domain\User\Exception\UserNickNameNotUniqueException
    auth_error:
      code: 401
      exceptions:
        - Symfony\Component\Security\Core\Exception\AuthenticationException
    access_denied:
      code: 403
      exceptions:
        - Symfony\Component\Security\Core\Exception\AccessDeniedException
    username_not_found:
      code: 401
      exceptions:
        - Symfony\Component\Security\Core\Exception\UsernameNotFoundException